UNIT WEDefaul; {$O+}
{$B-,E-,F-,N-,R-,S-,V-}

INTERFACE

PROCEDURE EditDefaults;

IMPLEMENTATION

USES WEVars, WEOutput, WEInput, WEString;

CONST
  Nfields=4;
  NStates=4;
  Fields : ARRAY[1..NFields] OF String = (
    'Lines of message header',
    'Screen height          ',
    'Default Insert State   ',
    'Arrow Key Speed        '
    );
  State : ARRAY[0..Nstates-1] OF String = (
    'All','None','Only Title and Ruler','Only Ruler'
    );

PROCEDURE GetScreenState;
VAR
  i:integer;
  ch:char;
BEGIN
  NL;
  FOR i:=0 TO NStates-1 DO
    Print(C2+'<'+C1+chr(i+65)+C2+'>'+c5+' '+state[i]);
  print(C2+'<'+C1+'Q'+C2+'>'+C5+'uit');
  NL;
  Prompt(C2+'Choice > ');
  ch:=ReadSet(['A','B','C','D','Q']);
  ScreenState:=ord(ch)-65;
END;

PROCEDURE GetScreenHeight;
BEGIN
END;

PROCEDURE GetInsertMode;
BEGIN
END;

PROCEDURE GetTimingConstant;
BEGIN
END;

PROCEDURE EditDefaults;
VAR
  i : integer;
  ch : char;
BEGIN
  REPEAT
    clrscr;
    Print(C2+'WWIV'+C5+'Edit '+C1+VERSION+C2+' Defaults Section');
    NL;
    FOR i:=1 TO NFields DO
    BEGIN
      Prompt(C2+'<'+C1+chr(i+64)+C2+'>'+c5+' '+Fields[i]+' '+C3+': '+C1);
      CASE i OF
        1 : Print(State[ScreenState]);
        2 : Print(cstr(screenheight));
        3 : IF InsertMode
              THEN Print('Insert Mode')
              ELSE Print('Overwrite Mode');
        4 : Print(cstr(TimingConstant));
      END;
    END;
    print(C2+'<'+C1+'Q'+C2+'>'+C5+'uit');
    NL;
    Prompt(C2+'Choice > ');
    ch:=ReadSet(['A','B','C','D','Q']);
    NL;
    CASE CH OF
      'A' : GetScreenState;
      'B' : GetScreenHeight;
      'C' : GetInsertMode;
      'D' : GetTimingConstant;
    END;
  UNTIL ch='Q';
END;

END.
